Package eu.mhsl.minenet.gameList.messageOld.type.chat

# Class ChatMessage

java.lang.Object
eu.mhsl.minenet.gameList.messageOld.Message
eu.mhsl.minenet.gameList.messageOld.type.chat.ChatMessage

All Implemented Interfaces:
  `Sendable`

public class ChatMessage extends Message

- ## Field Summary

  ### Fields inherited from class eu.mhsl.minenet.gameList.messageOld.Message

  `text`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatMessage(MessageIcon type, String message)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `send(net.kyori.adventure.audience.Audience targets)`

  ### Methods inherited from class eu.mhsl.minenet.gameList.messageOld.Message

  `append, append, getComponent, pipe, quote, quote`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ChatMessage

    public ChatMessage(MessageIcon type, String message)

- ## Method Details

  - ### send

    public void send(net.kyori.adventure.audience.Audience targets)